function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = test.static_g1_tt(T, y, x, params);
end
g1 = zeros(54, 54);
g1(1,1)=(-(T(1)*getPowerDeriv(T(1),(-1),1)-(-(T(1)*params(25)*params(24)))/(T(1)*T(1))));
g1(1,4)=exp(y(4));
g1(2,3)=exp(y(3));
g1(3,3)=(-(exp(y(3))*y(38)/exp(y(20))));
g1(3,20)=(-((-(exp(y(3))*y(38)*exp(y(20))))/(exp(y(20))*exp(y(20)))));
g1(3,38)=(-T(14));
g1(4,2)=params(18)*params(32)*exp(params(32)*y(2));
g1(4,4)=(-(exp(y(4))*exp(y(5))));
g1(4,5)=(-(exp(y(4))*exp(y(5))));
g1(5,6)=exp(y(6));
g1(5,8)=T(17);
g1(5,43)=T(17);
g1(6,7)=exp(y(7));
g1(6,9)=T(20);
g1(6,43)=T(20);
g1(7,8)=T(2)*exp(y(10));
g1(7,9)=exp(y(9))*exp(y(43))*params(27)*exp(y(11));
g1(7,10)=T(2)*exp(y(10));
g1(7,11)=exp(y(9))*exp(y(43))*params(27)*exp(y(11));
g1(7,12)=exp(y(12));
g1(7,13)=(-exp(y(13)));
g1(7,19)=(-exp(y(19)));
g1(7,43)=T(2)*exp(y(10))+exp(y(9))*exp(y(43))*params(27)*exp(y(11));
g1(8,6)=(-(params(29)*exp(y(10))*exp(y(8))*exp(y(6))*exp(y(43))));
g1(8,7)=(-(params(29)*exp(y(11))*exp(y(9))*exp(y(43))*exp(y(7))));
g1(8,8)=(-(params(29)*exp(y(10))*exp(y(8))*exp(y(43))*(exp(y(6))-y(38))));
g1(8,9)=(-(params(29)*exp(y(11))*exp(y(9))*exp(y(43))*(exp(y(7))-y(38))));
g1(8,10)=(-(params(29)*exp(y(10))*exp(y(8))*exp(y(43))*(exp(y(6))-y(38))));
g1(8,11)=(-(params(29)*exp(y(11))*exp(y(9))*exp(y(43))*(exp(y(7))-y(38))));
g1(8,12)=(-(params(29)*exp(y(12))*(y(37)-y(38))));
g1(8,13)=exp(y(20))*exp(y(13))-params(29)*y(38)*exp(y(13));
g1(8,20)=exp(y(20))*exp(y(13));
g1(8,37)=(-(exp(y(12))*params(29)));
g1(8,38)=(-(params(29)*(exp(y(13))+exp(y(10))*exp(y(8))*(-exp(y(43)))+exp(y(11))*exp(y(9))*(-exp(y(43)))-exp(y(12)))));
g1(8,43)=(-(params(29)*T(3)));
g1(9,16)=exp(y(16));
g1(9,17)=(-(params(29)*exp(y(17))*exp(y(18))));
g1(9,18)=(-(params(29)*exp(y(17))*exp(y(18))));
g1(10,3)=(exp(y(6))-y(38))*T(4);
g1(10,6)=exp(y(6))*T(4);
g1(10,14)=(-((exp(y(17))*exp(y(14))*(1+exp(y(14)))-exp(y(14))*exp(y(17))*exp(y(14)))/((1+exp(y(14)))*(1+exp(y(14))))));
g1(10,16)=(exp(y(6))-y(38))*T(4);
g1(10,17)=(-(exp(y(17))*exp(y(14))/(1+exp(y(14)))));
g1(10,20)=(exp(y(6))-y(38))*T(21);
g1(10,38)=(-T(4));
g1(11,3)=(exp(y(7))-y(38))*T(4);
g1(11,7)=exp(y(7))*T(4);
g1(11,14)=(-(((1+exp(y(14)))*exp(y(17))*params(27)*exp(y(14))-exp(y(14))*exp(y(17))*params(27)*exp(y(14)))/((1+exp(y(14)))*(1+exp(y(14))))));
g1(11,16)=(exp(y(7))-y(38))*T(4);
g1(11,17)=(-(exp(y(17))*params(27)*exp(y(14))/(1+exp(y(14)))));
g1(11,20)=(exp(y(7))-y(38))*T(21);
g1(11,38)=(-T(4));
g1(12,3)=(y(37)-y(38))*T(4);
g1(12,14)=(-((-(exp(y(14))*(-y(15))))/((1+exp(y(14)))*(1+exp(y(14))))));
g1(12,15)=(-((-1)/(1+exp(y(14)))));
g1(12,16)=(y(37)-y(38))*T(4);
g1(12,20)=(y(37)-y(38))*T(21);
g1(12,37)=T(4);
g1(12,38)=(-T(4));
g1(13,3)=(-T(6));
g1(13,12)=exp(y(12))*y(15)/exp(y(13));
g1(13,13)=(-(exp(y(13))*exp(y(12))*y(15)))/(exp(y(13))*exp(y(13)));
g1(13,14)=(-(y(38)*exp(y(16))*exp(y(3))*exp(y(14))/exp(y(20))));
g1(13,15)=exp(y(12))/exp(y(13));
g1(13,16)=(-T(6));
g1(13,17)=exp(y(17))*exp(y(18));
g1(13,18)=exp(y(17))*exp(y(18));
g1(13,20)=(-(y(38)*(-(exp(y(20))*exp(y(16))*exp(y(3))*(1+exp(y(14)))))/(exp(y(20))*exp(y(20)))));
g1(13,38)=(-T(5));
g1(14,8)=T(18);
g1(14,9)=(-(exp(y(11))*exp(y(9))*params(27)/exp(y(13))));
g1(14,10)=T(18);
g1(14,11)=(-(exp(y(11))*exp(y(9))*params(27)/exp(y(13))));
g1(14,13)=(-((-(exp(y(13))*(T(2)*exp(y(10))+exp(y(11))*exp(y(9))*params(27))))/(exp(y(13))*exp(y(13)))));
g1(14,18)=exp(y(18));
g1(14,43)=T(18);
g1(15,21)=exp(y(21));
g1(15,22)=(-T(7));
g1(15,23)=(-((-(y(45)/(y(45)-1)*exp(y(22))*exp(y(23))))/(exp(y(23))*exp(y(23)))));
g1(15,45)=(-(exp(y(22))*(y(45)-1-y(45))/((y(45)-1)*(y(45)-1))/exp(y(23))));
g1(16,3)=(-(exp(y(22))*exp(y(3))*params(30)*T(9)));
g1(16,20)=(-(exp(y(22))*exp(y(3))*params(30)*T(23)));
g1(16,22)=exp(y(22))-exp(y(22))*exp(y(3))*params(30)*T(9);
g1(16,25)=(-(exp(y(25))*exp(y(27))));
g1(16,27)=(-(exp(y(25))*exp(y(27))));
g1(16,45)=(-(exp(y(22))*exp(y(3))*params(30)*T(9)*log(T(8))));
g1(17,3)=(-T(11));
g1(17,20)=(-(exp(y(23))*exp(y(3))*params(30)*T(22)*getPowerDeriv(T(8),y(45)-1,1)));
g1(17,23)=exp(y(23))-T(11);
g1(17,27)=(-exp(y(27)));
g1(17,45)=(-(exp(y(23))*exp(y(3))*params(30)*T(10)*log(T(8))));
g1(18,24)=exp(y(27))*exp(y(24));
g1(18,26)=(-exp(y(26)));
g1(18,27)=exp(y(27))*exp(y(24));
g1(19,20)=(-(exp(y(24))*params(30)*T(23)));
g1(19,21)=(-((1-params(30))*(-y(45))*exp(y(21)*(-y(45)))));
g1(19,24)=exp(y(24))-exp(y(24))*params(30)*T(9);
g1(19,45)=(-((1-params(30))*exp(y(21)*(-y(45)))*(-y(21))+exp(y(24))*params(30)*T(9)*log(T(8))));
g1(20,20)=(-(exp(y(20)*(y(45)-1))*params(30)*params(31)*(1-y(45))*exp(y(20)*params(31)*(1-y(45)))+params(30)*exp(y(20)*params(31)*(1-y(45)))*(y(45)-1)*exp(y(20)*(y(45)-1))));
g1(20,21)=(-((1-params(30))*(1-y(45))*exp(y(21)*(1-y(45)))));
g1(20,45)=(-((1-params(30))*exp(y(21)*(1-y(45)))*(-y(21))+exp(y(20)*(y(45)-1))*params(30)*exp(y(20)*params(31)*(1-y(45)))*y(20)*(-params(31))+params(30)*exp(y(20)*params(31)*(1-y(45)))*y(20)*exp(y(20)*(y(45)-1))));
g1(21,2)=(-(exp(y(29))*exp(y(28)*params(5))*(1-params(5))*exp(y(2)*(1-params(5)))));
g1(21,26)=exp(y(26));
g1(21,28)=(-(exp(y(2)*(1-params(5)))*exp(y(29))*params(5)*exp(y(28)*params(5))));
g1(21,29)=(-(exp(y(29))*exp(y(28)*params(5))*exp(y(2)*(1-params(5)))));
g1(22,28)=exp(y(28))-exp(y(28))*(1-params(6));
g1(22,31)=(-exp(y(31)));
g1(23,3)=T(12);
g1(23,25)=T(24);
g1(23,26)=T(24);
g1(23,28)=exp(y(3))*(-(exp(y(28))*exp(y(26))*exp(y(25))*params(5)))/(exp(y(28))*exp(y(28)));
g1(23,32)=exp(y(3))*(1-params(6))*exp(y(32))-exp(y(32));
g1(24,2)=(-(exp(y(26))*exp(y(25))*(1-params(5))*exp(y(2))))/(exp(y(2))*exp(y(2)));
g1(24,5)=(-exp(y(5)));
g1(24,25)=T(13);
g1(24,26)=T(13);
g1(25,3)=(-T(15));
g1(25,8)=T(2)*(1+y(33))-T(14)*params(4)*exp(y(43))*exp(y(8))*(1+y(33));
g1(25,20)=(-((1+params(4)*exp(y(43))*exp(y(8))*(1+y(33)))*(-(exp(y(3))*exp(y(20))))/(exp(y(20))*exp(y(20)))));
g1(25,33)=T(2)-params(4)*exp(y(43))*exp(y(8))*T(14);
g1(25,43)=T(2)*(1+y(33))-T(14)*params(4)*exp(y(43))*exp(y(8))*(1+y(33));
g1(26,8)=T(19);
g1(26,20)=(-(T(2)*(-((-(exp(y(20))*params(4)*exp(y(30))))/(exp(y(20))*exp(y(20)))))));
g1(26,30)=T(19);
g1(26,31)=exp(y(31))*y(46)*exp(y(34));
g1(26,34)=exp(y(31))*y(46)*exp(y(34));
g1(26,43)=T(19);
g1(26,46)=exp(y(31))*exp(y(34));
g1(27,32)=exp(y(32));
g1(27,33)=(-(y(46)*exp(y(34))));
g1(27,34)=(-(exp(y(34))+exp(y(34))*y(33)*y(46)));
g1(27,46)=(-(y(33)*exp(y(34))));
g1(28,31)=exp(y(31));
g1(28,35)=(-exp(y(35)));
g1(29,34)=(-exp(y(34)));
g1(30,20)=(-((1-params(34))*params(35)));
g1(30,27)=(-((1-params(34))*params(36)));
g1(30,36)=1-params(34);
g1(31,36)=(-1);
g1(31,37)=1;
g1(32,37)=(-1);
g1(32,38)=1;
g1(33,8)=T(2)*y(39);
g1(33,9)=exp(y(43))*exp(y(9))*exp(y(40));
g1(33,12)=(-exp(y(12)));
g1(33,39)=T(2);
g1(33,40)=exp(y(43))*exp(y(9))*exp(y(40));
g1(33,43)=T(2)*y(39)+exp(y(43))*exp(y(9))*exp(y(40));
g1(34,39)=1-params(37);
g1(35,40)=exp(y(40))-exp(y(40))*params(38);
g1(36,9)=(-T(16));
g1(36,20)=(-(exp(y(20))*params(10)))/(exp(y(20))*exp(y(20)))-exp(y(43))*exp(y(9))*params(10)*(-((-(exp(y(20))*params(4)))/(exp(y(20))*exp(y(20)))));
g1(36,41)=exp(y(41));
g1(36,42)=(-1);
g1(36,43)=(-T(16));
g1(37,41)=1-params(39);
g1(38,29)=1-params(40);
g1(39,17)=1-params(34);
g1(40,10)=(-exp(y(10)));
g1(40,30)=exp(y(30));
g1(40,39)=(-1);
g1(41,11)=(-exp(y(11)));
g1(41,40)=(-exp(y(40)));
g1(42,1)=(-exp(y(1)));
g1(42,27)=exp(y(27));
g1(42,35)=(-exp(y(35)));
g1(42,41)=(-exp(y(41)));
g1(43,43)=1-params(42);
g1(44,1)=(-1);
g1(44,2)=params(18)*exp(y(2))*getPowerDeriv(exp(y(2)),1+params(32),1)/(1+params(32));
g1(44,44)=1-params(24);
g1(45,45)=1-params(34);
g1(46,30)=(-((1-params(34))*params(7)*exp(y(30))/params(17)*getPowerDeriv(exp(y(30))/params(17),(-params(33)),1)));
g1(46,46)=1-params(34);
g1(47,6)=(-1);
g1(47,38)=1/y(38);
g1(47,47)=1;
g1(48,7)=(-1);
g1(48,38)=1/y(38);
g1(48,48)=1;
g1(49,49)=1;
g1(50,50)=1;
g1(51,51)=1;
g1(52,54)=1;
g1(53,52)=1;
g1(54,53)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
