function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 24);

T = test.static_resid_tt(T, y, x, params);

T(17) = (-((params(4)*exp(y(43))*exp(y(8))*T(2)-(1+params(4)*exp(y(43))*exp(y(8)))*T(2))/(T(2)*T(2))));
T(18) = (-(T(2)*exp(y(10))/exp(y(13))));
T(19) = (-(T(2)*(exp(y(30))-params(4)*exp(y(30))/exp(y(20)))));
T(20) = (-((params(4)*exp(y(43))*exp(y(9))*exp(y(43))*exp(y(9))-(1+params(4)*exp(y(43))*exp(y(9)))*exp(y(43))*exp(y(9)))/(exp(y(43))*exp(y(9))*exp(y(43))*exp(y(9)))));
T(21) = (-(exp(y(20))*exp(y(3))*exp(y(16))))/(exp(y(20))*exp(y(20)));
T(22) = (exp(y(20))*exp(y(20)*params(31))-exp(y(20))*params(31)*exp(y(20)*params(31)))/(exp(y(20)*params(31))*exp(y(20)*params(31)));
T(23) = T(22)*getPowerDeriv(T(8),y(45),1);
T(24) = exp(y(3))*exp(y(26))*exp(y(25))*params(5)/exp(y(28));

end
