function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = test.static_resid_tt(T, y, x, params);
end
residual = zeros(54, 1);
lhs = exp(y(4));
rhs = T(1)^(-1)-params(25)*params(24)/T(1);
residual(1) = lhs - rhs;
lhs = exp(y(3));
rhs = params(24);
residual(2) = lhs - rhs;
lhs = 1;
rhs = exp(y(3))*y(38)/exp(y(20));
residual(3) = lhs - rhs;
lhs = params(18)*exp(params(32)*y(2));
rhs = exp(y(4))*exp(y(5));
residual(4) = lhs - rhs;
lhs = exp(y(6));
rhs = (1+params(4)*exp(y(43))*exp(y(8)))/T(2);
residual(5) = lhs - rhs;
lhs = exp(y(7));
rhs = (1+params(4)*exp(y(43))*exp(y(9)))/(exp(y(43))*exp(y(9)));
residual(6) = lhs - rhs;
lhs = T(2)*exp(y(10))+exp(y(9))*exp(y(43))*params(27)*exp(y(11))+exp(y(12));
rhs = exp(y(19))+exp(y(13));
residual(7) = lhs - rhs;
lhs = exp(y(20))*exp(y(13));
rhs = params(29)*(T(3)+exp(y(12))*(y(37)-y(38))+y(38)*exp(y(13)))+params(28);
residual(8) = lhs - rhs;
lhs = exp(y(16));
rhs = 1-params(29)+params(29)*exp(y(17))*exp(y(18));
residual(9) = lhs - rhs;
lhs = (exp(y(6))-y(38))*T(4);
rhs = exp(y(17))*exp(y(14))/(1+exp(y(14)));
residual(10) = lhs - rhs;
lhs = (exp(y(7))-y(38))*T(4);
rhs = exp(y(17))*params(27)*exp(y(14))/(1+exp(y(14)));
residual(11) = lhs - rhs;
lhs = (y(37)-y(38))*T(4);
rhs = (-y(15))/(1+exp(y(14)));
residual(12) = lhs - rhs;
lhs = exp(y(17))*exp(y(18));
rhs = T(6)-exp(y(12))*y(15)/exp(y(13));
residual(13) = lhs - rhs;
lhs = exp(y(18));
rhs = (T(2)*exp(y(10))+exp(y(11))*exp(y(9))*params(27))/exp(y(13));
residual(14) = lhs - rhs;
lhs = exp(y(21));
rhs = T(7);
residual(15) = lhs - rhs;
lhs = exp(y(22));
rhs = exp(y(25))*exp(y(27))+exp(y(22))*exp(y(3))*params(30)*T(9);
residual(16) = lhs - rhs;
lhs = exp(y(23));
rhs = exp(y(27))+T(11);
residual(17) = lhs - rhs;
lhs = exp(y(27))*exp(y(24));
rhs = exp(y(26));
residual(18) = lhs - rhs;
lhs = exp(y(24));
rhs = (1-params(30))*exp(y(21)*(-y(45)))+exp(y(24))*params(30)*T(9);
residual(19) = lhs - rhs;
lhs = 1;
rhs = (1-params(30))*exp(y(21)*(1-y(45)))+params(30)*exp(y(20)*params(31)*(1-y(45)))*exp(y(20)*(y(45)-1));
residual(20) = lhs - rhs;
lhs = exp(y(26));
rhs = exp(y(29))*exp(y(28)*params(5))*exp(y(2)*(1-params(5)));
residual(21) = lhs - rhs;
lhs = exp(y(28));
rhs = exp(y(31))+exp(y(28))*(1-params(6));
residual(22) = lhs - rhs;
lhs = T(12);
rhs = exp(y(32));
residual(23) = lhs - rhs;
lhs = T(13);
rhs = exp(y(5));
residual(24) = lhs - rhs;
residual(25) = T(2)*(1+y(33))-T(15);
lhs = exp(y(31))*y(46)*exp(y(34));
rhs = T(2)*(exp(y(30))-params(4)*exp(y(30))/exp(y(20)));
residual(26) = lhs - rhs;
lhs = exp(y(32));
rhs = exp(y(34))+exp(y(34))*y(33)*y(46);
residual(27) = lhs - rhs;
lhs = exp(y(31));
rhs = exp(y(35));
residual(28) = lhs - rhs;
lhs = 1;
rhs = exp(y(34));
residual(29) = lhs - rhs;
lhs = y(36);
rhs = (1-params(34))*params(3)+y(36)*params(34)+(1-params(34))*(params(35)*(y(20)-log(params(2)))+params(36)*(y(27)-log(params(16))))+params(43)*x(6);
residual(30) = lhs - rhs;
residual(31) = y(37)-y(36);
lhs = y(38);
rhs = y(37);
residual(32) = lhs - rhs;
lhs = T(2)*y(39)+exp(y(43))*exp(y(9))*exp(y(40));
rhs = exp(y(12));
residual(33) = lhs - rhs;
lhs = y(39);
rhs = (1-params(37))*params(8)+y(39)*params(37)+params(44)*x(4);
residual(34) = lhs - rhs;
lhs = exp(y(40));
rhs = (1-params(38))*params(9)+exp(y(40))*params(38)+params(45)*x(5);
residual(35) = lhs - rhs;
lhs = exp(y(41))+params(10)/exp(y(20));
rhs = y(42)+T(16);
residual(36) = lhs - rhs;
lhs = y(41);
rhs = (1-params(39))*log(params(11))+y(41)*params(39)+params(47)*x(2);
residual(37) = lhs - rhs;
lhs = y(29);
rhs = (1-params(40))*log(params(12))+y(29)*params(40)+params(46)*x(1);
residual(38) = lhs - rhs;
lhs = y(17);
rhs = (1-params(34))*log(params(26))+y(17)*params(34)+x(3)*params(48);
residual(39) = lhs - rhs;
lhs = exp(y(30));
rhs = exp(y(10))+y(39);
residual(40) = lhs - rhs;
lhs = params(10);
rhs = exp(y(11))+exp(y(40));
residual(41) = lhs - rhs;
lhs = exp(y(27));
rhs = exp(y(41))+exp(y(1))+exp(y(35));
residual(42) = lhs - rhs;
lhs = y(43);
rhs = (1-params(42))*log(params(13))+y(43)*params(42)-params(49)*x(7);
residual(43) = lhs - rhs;
lhs = y(44);
rhs = log(T(1))-params(18)*exp(y(2))^(1+params(32))/(1+params(32))+params(24)*y(44);
residual(44) = lhs - rhs;
lhs = y(45);
rhs = (1-params(34))*params(14)+y(45)*params(34)+x(8);
residual(45) = lhs - rhs;
lhs = y(46);
rhs = (1-params(34))*params(7)*(exp(y(30))/params(17))^(-params(33))+y(46)*params(34)+x(9);
residual(46) = lhs - rhs;
lhs = y(47);
rhs = y(6)-log(y(38));
residual(47) = lhs - rhs;
lhs = y(48);
rhs = y(7)-log(y(38));
residual(48) = lhs - rhs;
residual(49) = y(49);
residual(50) = y(50);
residual(51) = y(51);
residual(52) = y(54);
residual(53) = y(52);
residual(54) = y(53);
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
